Package org.python.core

# Class PyFunctionTable

java.lang.Object
org.python.core.PyFunctionTable

All Implemented Interfaces:
  `Serializable`

public abstract class PyFunctionTable extends Object implements Serializable
An entry point for class that implements several function calls.

Used together with the PyTableCode class.

See Also:
  - `PyTableCode`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`PyFunctionTable()`

## Method Summary

Modifier and Type
Method
Description
`abstract PyObject`
`call_function(int index, PyFrame frame, ThreadState ts)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PyFunctionTable

public PyFunctionTable()

## Method Details

### call_function

public abstract PyObject call_function(int index, PyFrame frame, ThreadState ts)